For the complete documentation index, see llms.txt. This page is also available as Markdown.

Kick Unit

This endpoint allows you to forcefully kick an active unit back to the community menu.

Kick Unit

POST https://api.sonorancad.com/emergency/kick_unit

This endpoint allows you to forcefully kick an active unit back to the community menu.

Request Body

Name
Type
Description

id

string

Your community's ID

key

string

Your community's API Key

type

string

KICK_UNIT

data

array

Array of unit status objects

UNIT KICKED
INVALID REQUEST TYPE
INVALID COMMUNITY ID
API IS NOT ENABLED FOR THIS COMMUNITY
INVALID API KEY
{
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "KICK_UNIT",
    "data": [
        {
            "apiId": "STEAM:1234", // API ID entered in the unit identifiers
                                   // Typically, this is their STEAM ID
            "reason": "Automated AFK Timer", // "You have been kicked for {REASON}"
            "serverId": 1
        },
    ]
}

Last updated

Was this helpful?